=== src/frontend/xim/CMakeLists.txt ===
add_library(xim MODULE xim.cpp)
target_link_libraries(xim Fcitx5::Core XCBImdkit::XCBImdkit XCB::XCB XCB::AUX XCB::EWMH XKBCommon::XKBCommon Fcitx5::Module::XCB)
set_target_properties(xim PROPERTIES PREFIX "")
install(TARGETS xim DESTINATION "${FCITX_INSTALL_ADDONDIR}")
fcitx5_translate_desktop_file(xim.conf.in xim.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/xim.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
