=== debian/changelog ===
fcitx5 (0.0~git20200626.2e9821a-2build1) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:43:20 +0100

fcitx5 (0.0~git20200626.2e9821a-2) unstable; urgency=medium

  * Team upload.
  * Add libbrotli-dev to Build-Depends
  * Add patch to change kde-config-fcitx5 name reference

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 03 Jul 2020 11:44:24 +0800

fcitx5 (0.0~git20200626.2e9821a-1) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * debian/README.Debian: Clarify current condition

  [ Shengjing Zhu ]
  * New upstream snapshot (Closes: #957195)
  * Adjust Recommends and Suggests for fcitx5 metapackage.
    Recommends:
    + fcitx5-frontend-qt5
    + fcitx5-frontend-gtk3
    + im-config
    Suggests:
    + fcitx5-frontend-gtk2
    + fcitx5-chinese-addons
    + kde-config-fcitx5 (Provides fcitx5-config-qt tool)
  * Bump debhelper-compat to 13 and clean up d/rules
  * Bump libxcb-imdkit-dev to 0~20200606
  * Change charselectdata path in fcitx5-data
  * Fix missing Depends on -dev package

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jul 2020 02:48:25 +0800

fcitx5 (0.0~git20200409.6409547-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Remove simpleui from fcitx5-modules.
    Not built by source in new version
  * Install testui, testim, testfrontend to fcitx5-modules.
    New addon built by source in new version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 22:34:53 +0800

fcitx5 (0.0~git20200323.c123909-2) unstable; urgency=medium

  * Team upload.
  * Forget to rename fcitx.svg icon

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 21:52:02 +0800

fcitx5 (0.0~git20200323.c123909-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Bump libxcb-imdkit-dev to 0~20200318
  * Add patch to rename icon to fcitx5
  * Install fcitx5 icons

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 02:58:15 +0800

fcitx5 (0.0~git20200312.cce34c7-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Split emoji module to a separate package.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 12:56:10 +0800

fcitx5 (0.0~git20200311.dafb468-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Move dict data to debian directory.
    No longer repack upstream tarball.
  * Add new emoji module to fcitx5-modules package.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 00:07:44 +0800
